VMTKIMAGEMIPVIEWER(1)

NAME
vmtkimagemipviewer - vmtk script vmtkimagemipviewer

DESCRIPTION
Automatic piping vmtkimagemipviewer Parsing options vmtkimagemipviewer

vmtkimagemipviewer : display a 3D image

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-array ArrayName (str,1): name of the array to display

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-sampledistance SampleDistance (float,1) >= 0.0; default=1.0: the

    distance at sample projections are generated

-autosampledistance AutoSampleDistance (bool,1); default=1: toggle

    automatic sample distance

-windowlevel WindowLevel (float,2); default=[0.0, 0.0]: the

    window/level for generating the rendering

-opacity Opacity (float,2); default=None: the opacity range is

    defined from 0 (transparent) to 1 (opaque)

-display Display (bool,1); default=1: toggle rendering

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image